Subject: [sipcore] Regarding RFC 5404

From: Ravi Kumar <[email-masked]>
Date: Mon, 4 Jun 2012 11:55:28 +0530

Hi All,

RFC 5404 section 
7.1.  Media Type Definition

int-delay:  

         int-delay = "int-delay:" source-delay *("," source-delay)
 
         source-delay = SSRC ":" delay-value
 
         SSRC = 1*8HEXDIG ; The 32-bit SSRC encoded in hex format
 
         delay-value = 1*5DIGIT ; The delay value in milliseconds
 
         Example: int-delay=ABCD1234:1000,4321DCB:640
 
         NOTE: No white space allowed in the parameter before the end of
         all the value pairs

7.2.  Mapping to SDP

   o  Any remaining parameters go in the SDP "a=fmtp" attribute by
      copying them directly from the media type parameter string as a
      semicolon-separated list of parameter=value pairs.

As per section int-delay parameter should be part of a=fmtp line and it
should have parameter as parameter=value pair.

But as per ABNF it should be int-delay:<value>

Also example mentions that int-delay=<value>

This looks like bug in RFC. Please confirm what should be correct ABNF.

Regards,

Ravi Kumar

_______________________________________________
Sip-implementors mailing list
[email-masked]
https://lists.cs.columbia.edu/cucslists/listinfo/sip-implementors

---

From: "Worley, Dale R (Dale)" <[email-masked]>
Date: Mon, 4 Jun 2012 12:33:42 -0400

> From: Ravi Kumar [[email-masked]]
> 
> RFC 5404 section 7.1.  Media Type Definition
> 
> int-delay:
> 

Yes, it looks like a bug in the RFC; everywhere except that one line
of ABNF shows "int-delay=".  Please file an erratum on this
(http://www.rfc-editor.org/errata.php)

I'm unsure anyone has implemented this -- Google doesn't turn up any
examples.  (There are a lot of examples of "int-delay", but they are
all for the AMR-WB codec, where it has a different syntax.)

Dale